lkml.org 
[lkml]   [2017]   [Jul]   [17]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Subject[PATCH v2 4/8] sphinx-pre-install: use a requirements file
Date
Instead of using 3 commands to install a virtualenv, use
a single one, reading the requirements from this file:

Documentation/sphinx/requirements.txt

Signed-off-by: Mauro Carvalho Chehab <mchehab@s-opensource.com>
---
Documentation/sphinx/requirements.txt | 3 +++
scripts/sphinx-pre-install | 5 ++---
2 files changed, 5 insertions(+), 3 deletions(-)
create mode 100644 Documentation/sphinx/requirements.txt

diff --git a/Documentation/sphinx/requirements.txt b/Documentation/sphinx/requirements.txt
new file mode 100644
index 000000000000..742be3e12619
--- /dev/null
+++ b/Documentation/sphinx/requirements.txt
@@ -0,0 +1,3 @@
+docutils==0.12
+Sphinx==1.4.9
+sphinx_rtd_theme
diff --git a/scripts/sphinx-pre-install b/scripts/sphinx-pre-install
index bcd6f7978f8d..230d9cc7ee1d 100755
--- a/scripts/sphinx-pre-install
+++ b/scripts/sphinx-pre-install
@@ -14,6 +14,7 @@ use strict;
# GNU General Public License for more details.

my $virtenv_dir = "sphinx_1.4";
+my $requirement_file = "Documentation/sphinx/requirements.txt";

#
# Static vars
@@ -467,9 +468,7 @@ sub check_needs()

printf "\t$virtualenv $virtenv_dir\n";
printf "\t. $activate\n";
- printf "\tpip install 'docutils==0.12'\n";
- printf "\tpip install 'Sphinx==1.4.9'\n";
- printf "\tpip install sphinx_rtd_theme\n";
+ printf "\tpip install -r $requirement_file\n";
$need++;
}
}
--
2.13.3
\
 
 \ /
  Last update: 2017-07-17 23:49    [W:0.117 / U:0.436 seconds]
©2003-2017 Jasper Spaans. hosted at Digital OceanAdvertise on this site